SEC Filings

US Filing Content

Call GET /us/filings/{accession_number}/content on the Corpus API.

GET /us/filings/{accession_number}/content

Call GET /us/filings/{accession_number}/content on the Corpus API.

Category: US · filings

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: us:read.

Request

NameInRequiredTypeConstraintsDescription
accession_numberpathyesstring
formatquerynostringdefault “normalized”; pattern ^(normalized|raw)$

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/us/filings/0000320193-25-000079/content' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonFilingContentResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonFilingProcessingErrorResponse

Representative 200 response

{
  "accession_number": "0000320193-25-000079",
  "content_type": "string",
  "content": "string",
  "encoding": "utf-8",
  "content_hash": "string",
  "parser_version": "string"
}